Index: django/django/contrib/auth/management/commands/createsuperuser.py
===================================================================
--- django/django/contrib/auth/management/commands/createsuperuser.py	(revision 7999)
+++ django/django/contrib/auth/management/commands/createsuperuser.py	(working copy)
@@ -1,123 +1,123 @@
-"""
-Management utility to create superusers.
-"""
-
-import getpass
-import os
-import re
-import sys
-from optparse import make_option
-from django.contrib.auth.models import User, UNUSABLE_PASSWORD
-from django.core import validators
-from django.core.management.base import BaseCommand, CommandError
-
-RE_VALID_USERNAME = re.compile('\w+$')
-
-class Command(BaseCommand):
-    option_list = BaseCommand.option_list + (
-        make_option('--username', dest='username', default=None,
-            help='Specifies the username for the superuser.'),
-        make_option('--email', dest='email', default=None,
-            help='Specifies the email address for the superuser.'),
-        make_option('--noinput', action='store_false', dest='interactive', default=True,
-            help='Tells Django to NOT prompt the user for input of any kind. '    \
-                 'You must use --username and --email with --noinput, and '      \
-                 'superusers created with --noinput will not be able to log in '  \
-                 'until they\'re given a valid password.'),
-    )
-    help = 'Used to create a superuser.'
-
-    def handle(self, *args, **options):
-        username = options.get('username', None)
-        email = options.get('email', None)
-        interactive = options.get('interactive')
-        
-        # Do quick and dirty validation if --noinput
-        if not interactive:
-            if not username or not email:
-                raise CommandError("You must use --username and --email with --noinput.")
-            if not RE_VALID_USERNAME.match(username):
-                raise CommandError("Invalid username. Use only letters, digits, and underscores")
-            try:
-                validators.isValidEmail(email, None)
-            except validators.ValidationError:
-                raise CommandError("Invalid email address.")
-
-        password = ''
-
-        # Try to determine the current system user's username to use as a default.
-        try:
-            import pwd
-        except ImportError:
-            default_username = ''
-        else:
-            default_username = pwd.getpwuid(os.getuid())[0].replace(' ', '').lower()
-
-        # Determine whether the default username is taken, so we don't display
-        # it as an option.
-        if default_username:
-            try:
-                User.objects.get(username=default_username)
-            except User.DoesNotExist:
-                pass
-            else:
-                default_username = ''
-
-        # Prompt for username/email/password. Enclose this whole thing in a
-        # try/except to trap for a keyboard interrupt and exit gracefully.
-        if interactive:
-            try:
-            
-                # Get a username
-                while 1:
-                    if not username:
-                        input_msg = 'Username'
-                        if default_username:
-                            input_msg += ' (Leave blank to use %r)' % default_username
-                        username = raw_input(input_msg + ': ')
-                    if default_username and username == '':
-                        username = default_username
-                    if not RE_VALID_USERNAME.match(username):
-                        sys.stderr.write("Error: That username is invalid. Use only letters, digits and underscores.\n")
-                        username = None
-                        continue
-                    try:
-                        User.objects.get(username=username)
-                    except User.DoesNotExist:
-                        break
-                    else:
-                        sys.stderr.write("Error: That username is already taken.\n")
-                        username = None
-            
-                # Get an email
-                while 1:
-                    if not email:
-                        email = raw_input('E-mail address: ')
-                    try:
-                        validators.isValidEmail(email, None)
-                    except validators.ValidationError:
-                        sys.stderr.write("Error: That e-mail address is invalid.\n")
-                        email = None
-                    else:
-                        break
-            
-                # Get a password
-                while 1:
-                    if not password:
-                        password = getpass.getpass()
-                        password2 = getpass.getpass('Password (again): ')
-                        if password != password2:
-                            sys.stderr.write("Error: Your passwords didn't match.\n")
-                            password = None
-                            continue
-                    if password.strip() == '':
-                        sys.stderr.write("Error: Blank passwords aren't allowed.\n")
-                        password = None
-                        continue
-                    break
-            except KeyboardInterrupt:
-                sys.stderr.write("\nOperation cancelled.\n")
-                sys.exit(1)
-        
-        User.objects.create_superuser(username, email, password)
-        print "Superuser created successfully."
+"""
+Management utility to create superusers.
+"""
+
+import getpass
+import os
+import re
+import sys
+from optparse import make_option
+from django.contrib.auth.models import User
+from django.core import validators
+from django.core.management.base import BaseCommand, CommandError
+
+RE_VALID_USERNAME = re.compile('\w+$')
+
+class Command(BaseCommand):
+    option_list = BaseCommand.option_list + (
+        make_option('--username', dest='username', default=None,
+            help='Specifies the username for the superuser.'),
+        make_option('--email', dest='email', default=None,
+            help='Specifies the email address for the superuser.'),
+        make_option('--noinput', action='store_false', dest='interactive', default=True,
+            help='Tells Django to NOT prompt the user for input of any kind. '    \
+                 'You must use --username and --email with --noinput, and '      \
+                 'superusers created with --noinput will not be able to log in '  \
+                 'until they\'re given a valid password.'),
+    )
+    help = 'Used to create a superuser.'
+
+    def handle(self, *args, **options):
+        username = options.get('username', None)
+        email = options.get('email', None)
+        interactive = options.get('interactive')
+        
+        # Do quick and dirty validation if --noinput
+        if not interactive:
+            if not username or not email:
+                raise CommandError("You must use --username and --email with --noinput.")
+            if not RE_VALID_USERNAME.match(username):
+                raise CommandError("Invalid username. Use only letters, digits, and underscores")
+            try:
+                validators.isValidEmail(email, None)
+            except validators.ValidationError:
+                raise CommandError("Invalid email address.")
+
+        password = ''
+
+        # Try to determine the current system user's username to use as a default.
+        try:
+            import pwd
+        except ImportError:
+            default_username = ''
+        else:
+            default_username = pwd.getpwuid(os.getuid())[0].replace(' ', '').lower()
+
+        # Determine whether the default username is taken, so we don't display
+        # it as an option.
+        if default_username:
+            try:
+                User.objects.get(username=default_username)
+            except User.DoesNotExist:
+                pass
+            else:
+                default_username = ''
+
+        # Prompt for username/email/password. Enclose this whole thing in a
+        # try/except to trap for a keyboard interrupt and exit gracefully.
+        if interactive:
+            try:
+            
+                # Get a username
+                while 1:
+                    if not username:
+                        input_msg = 'Username'
+                        if default_username:
+                            input_msg += ' (Leave blank to use %r)' % default_username
+                        username = raw_input(input_msg + ': ')
+                    if default_username and username == '':
+                        username = default_username
+                    if not RE_VALID_USERNAME.match(username):
+                        sys.stderr.write("Error: That username is invalid. Use only letters, digits and underscores.\n")
+                        username = None
+                        continue
+                    try:
+                        User.objects.get(username=username)
+                    except User.DoesNotExist:
+                        break
+                    else:
+                        sys.stderr.write("Error: That username is already taken.\n")
+                        username = None
+            
+                # Get an email
+                while 1:
+                    if not email:
+                        email = raw_input('E-mail address: ')
+                    try:
+                        validators.isValidEmail(email, None)
+                    except validators.ValidationError:
+                        sys.stderr.write("Error: That e-mail address is invalid.\n")
+                        email = None
+                    else:
+                        break
+            
+                # Get a password
+                while 1:
+                    if not password:
+                        password = getpass.getpass()
+                        password2 = getpass.getpass('Password (again): ')
+                        if password != password2:
+                            sys.stderr.write("Error: Your passwords didn't match.\n")
+                            password = None
+                            continue
+                    if password.strip() == '':
+                        sys.stderr.write("Error: Blank passwords aren't allowed.\n")
+                        password = None
+                        continue
+                    break
+            except KeyboardInterrupt:
+                sys.stderr.write("\nOperation cancelled.\n")
+                sys.exit(1)
+        
+        User.objects.create_superuser(username, email, password)
+        print "Superuser created successfully."
Index: django/django/contrib/auth/decorators.py
===================================================================
--- django/django/contrib/auth/decorators.py	(revision 7999)
+++ django/django/contrib/auth/decorators.py	(working copy)
@@ -1,7 +1,7 @@
 try:
     from functools import wraps, update_wrapper
 except ImportError:
-    from django.utils.functional import wraps, update_wrapper  # Python 2.3, 2.4 fallback.
+    from django.utils.functional import update_wrapper  # Python 2.3, 2.4 fallback.
 
 from django.contrib.auth import REDIRECT_FIELD_NAME
 from django.http import HttpResponseRedirect
Index: django/django/contrib/auth/forms.py
===================================================================
--- django/django/contrib/auth/forms.py	(revision 7999)
+++ django/django/contrib/auth/forms.py	(working copy)
@@ -2,7 +2,6 @@
 from django.contrib.auth import authenticate
 from django.contrib.sites.models import Site
 from django.template import Context, loader
-from django.core import validators
 from django import forms
 from django.utils.translation import ugettext_lazy as _
 
Index: django/django/contrib/admindocs/views.py
===================================================================
--- django/django/contrib/admindocs/views.py	(revision 7999)
+++ django/django/contrib/admindocs/views.py	(working copy)
@@ -5,7 +5,7 @@
 from django.db import models
 from django.shortcuts import render_to_response
 from django.core.exceptions import ImproperlyConfigured, ViewDoesNotExist
-from django.http import Http404, get_host
+from django.http import Http404
 from django.core import urlresolvers
 from django.contrib.admindocs import utils
 from django.contrib.sites.models import Site
Index: django/django/contrib/sessions/backends/cache.py
===================================================================
--- django/django/contrib/sessions/backends/cache.py	(revision 7999)
+++ django/django/contrib/sessions/backends/cache.py	(working copy)
@@ -1,4 +1,3 @@
-from django.conf import settings
 from django.contrib.sessions.backends.base import SessionBase
 from django.core.cache import cache
 
Index: django/django/contrib/sessions/backends/db.py
===================================================================
--- django/django/contrib/sessions/backends/db.py	(revision 7999)
+++ django/django/contrib/sessions/backends/db.py	(working copy)
@@ -1,6 +1,5 @@
 import datetime
 
-from django.conf import settings
 from django.contrib.sessions.models import Session
 from django.contrib.sessions.backends.base import SessionBase
 from django.core.exceptions import SuspiciousOperation
Index: django/django/utils/dateformat.py
===================================================================
--- django/django/utils/dateformat.py	(revision 7999)
+++ django/django/utils/dateformat.py	(working copy)
@@ -13,7 +13,7 @@
 
 from django.utils.dates import MONTHS, MONTHS_3, MONTHS_AP, WEEKDAYS, WEEKDAYS_ABBR
 from django.utils.tzinfo import LocalTimezone
-from django.utils.translation import string_concat, ugettext as _
+from django.utils.translation import ugettext as _
 from django.utils.encoding import force_unicode
 from calendar import isleap, monthrange
 import re, time
Index: django/django/utils/encoding.py
===================================================================
--- django/django/utils/encoding.py	(revision 7999)
+++ django/django/utils/encoding.py	(working copy)
@@ -3,7 +3,6 @@
 import datetime
 
 from django.utils.functional import Promise
-from django.utils.safestring import SafeData, mark_safe
 
 class DjangoUnicodeDecodeError(UnicodeDecodeError):
     def __init__(self, obj, *args):
